EDIT - feature request #7235

Make available area vocabularies a database preference for TaxEditor distribution editor

02/01/2018 11:14 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

See also similar implementation for Vaadin distribution editor (part of #6903).

Vaadin example exists for cuba.

Alternatively we may define a list of single terms, but probably we should leave it as it is and later used defined term lists/sets once

they exist.

Related issues:
Related to EDIT - bug #6159: improve distribution editor in TaxEditor
Related to EDIT - feature request #6903: Requirements for checklisteditor of ...

Related to EDIT - bug #7236: Make available distribution status a database pr...

Related to EDIT - feature request #7793: Master ticket for E+M editor issues

Related to EDIT - feature request #3989: [DISCUSS] Allow defining the vocabul...
Related to EDIT - feature request #7063: Improve the area selection wizard fo...

Copied to EDIT - bug #7856: Allow local override for distribution vocabularies

Closed

In Progress
Closed
Closed
Resolved
Closed
Closed

Associated revisions

Revision d4db4070 - 10/24/2018 09:20 AM - Patrick Plitzner

fix #7235 Fix "allowOverride" flag for common name areas DB prefs

History

#1 - 02/01/2018 11:14 PM - Andreas Miiller

- Description updated

#2 - 02/01/2018 11:15 PM - Andreas Miiller
- Related to bug #6159: improve distribution editor in TaxEditor added

#3 - 02/01/2018 11:16 PM - Andreas Miuller

- Related to feature request #6903: Requirements for checklisteditor of the German states added

#4 - 02/01/2018 11:22 PM - Andreas Miuller

- Related to bug #7236: Make available distribution status a database preference for TaxEditor distribution editor added

#5 - 02/15/2018 03:24 PM - Andreas Miuller

- Target version changed from Release 4.14 to Release 5.0

#6 - 02/16/2018 02:13 PM - Katja Luther

- Status changed from New to In Progress

#7 - 05/17/2018 04:23 PM - Katja Luther

- Target version changed from Release 5.0 to Release 5.1

#8 - 06/28/2018 09:06 AM - Katja Luther

- Target version changed from Release 5.1 to Release 5.2
- % Done changed from 0 to 30

#9 - 08/17/2018 03:54 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#10 - 09/06/2018 01:21 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#11 - 10/23/2018 11:08 AM - Andreas Miiller

- Tags set to euro+med

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 30 to 60

| guess this is implemented with #7793 so | put to resolved for review

#12 - 10/23/2018 11:09 AM - Andreas Miiller

- Related to feature request #7793: Master ticket for E+M editor issues added

#13 - 10/23/2018 11:14 AM - Andreas Miiller
- Related to feature request #3989: [DISCUSS] Allow defining the vocabularies to be offered in the select dialogs added

#14 - 10/23/2018 05:08 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

- % Done changed from 60 to 100

This works fine now. There are open issues with the setting of the local areas to be used. But this is another ticket.
Very good is, that local area selections are removed if the according vocabulary is removed from the DB preferences.
Only "local override" does not yet exist and therefore should the checkbox in DB prefs should be disabled.

(Note: local preferences currently only allow selection of single areas within the given vocabulary/ies) .

Patrick, can you please disable the checkbox and always set it to false if, and only if, a value for "distribution.area.voc" exists? Only if no vocabulary is
selected it should be set to true, as true is always the default (once the default values are implemented correctly)

#15 - 10/23/2018 05:08 PM - Andreas Miiller
- % Done changed from 100 to 90

#16 - 10/23/2018 05:10 PM - Andreas Miiller

- Related to feature request #7063: Improve the area selection wizard for distribution editor added
#17 - 10/23/2018 06:03 PM - Andreas Miiller
Andreas Muller wrote:
Only "local override" does not yet exist and therefore should the checkbox in DB prefs should be disabled.
(Note: local preferences currently only allow selection of single areas within the given vocabulary/ies) .
Patrick, can you please disable the checkbox and always set it to false if, and only if, a value for "distribution.area.voc" exists? Only if no
vocabulary is selected it should be set to true, as true is always the default (once the default values are implemented correctly)
Sorry, this was partly not correct. Local preferences do allow setting vocabularies, too. However it does not work as expected: #7856.

Relevant for this ticket is only that currently the "allowOverride" is not saved to the DB if it is set to "true". This still needs to be fixed. Disabling the
checkbox is not necessary.

#18 - 10/23/2018 06:04 PM - Andreas Miiller
- Copied to bug #7856: Allow local override for distribution vocabularies added

#19 - 10/24/2018 09:20 AM - Patrick Plitzner
- Status changed from Feedback to Resolved

- % Done changed from 90 to 50

Applied in changeset taxeditor|d4db40709483dba7{8451f64de1db944d0ba694e.

#20 - 10/24/2018 09:20 AM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 90

#21 - 01/27/2019 08:54 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 90 to 100

| think we can close this ticket. All open (and maybe new issues) on handling the Pref in the Ul will be handled in #7856 or #7849
